1. Quotes
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Funding
      • Get deposit instruments
    • Payers
      • Create original payer
    • Beneficiaries
      • Create beneficiary
    • Quotes
      • Get FX quotation
        POST
    • Payments
      • Confirm quote and create payment
      • Payment result inquiry
    • Files
      • Create file upload session
      • Get file processing status
      • Upload file binary to pre-signed URL
  • Payment Status Webhook
  • About Us
  • Schemas
    • ErrorResponse
    • DepositInstrumentsResponse
    • DepositInstruction
    • FiatBankAccount
    • CreatePayerRequest
    • PayerInfo
    • IdentityInfo
    • Address
    • CompanyInfo
    • Director
    • UBO
    • DocumentReference
    • CreatePayerResponse
    • CreateBeneficiaryRequest
    • BeneficiaryInfo
    • BeneficiaryBankAccount
    • IntermediaryBank
    • OriginatorInfo
    • LocalClearing
    • CreateBeneficiaryResponse
    • QuoteRequest
    • QuoteResponse
    • PaymentRequest
    • PaymentInstruction
    • Amount
    • Compliance
    • Metadata
    • PaymentResponse
    • FileUploadSessionRequest
    • FileUploadSessionResponse
    • FileStatusResponse
  1. Quotes

Get FX quotation

POST
/api/v1/quotes

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "requestId": "FX202605070001",
    "sellCurrency": "USD",
    "buyCurrency": "CNY",
    "fixedSide": "SELL",
    "amount": 1000,
    "settlement": {
        "tenor": "SPOT"
    },
    "metadata": {
        "remark": "Payroll FX booking",
        "tags": [
            "salary",
            "monthly"
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://prod-cn.your-api-server.com/api/v1/quotes' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "requestId": "FX202605070001",
    "sellCurrency": "USD",
    "buyCurrency": "CNY",
    "fixedSide": "SELL",
    "amount": 1000,
    "settlement": {
        "tenor": "SPOT"
    },
    "metadata": {
        "remark": "Payroll FX booking",
        "tags": [
            "salary",
            "monthly"
        ]
    }
}'

Responses

🟢200
application/json
Quote generated
Bodyapplication/json

Example
{
    "requestId": "string",
    "quoteId": "string",
    "status": "ACTIVE",
    "sellCurrency": "string",
    "buyCurrency": "string",
    "fixedSide": "SELL",
    "sellAmount": 0,
    "buyAmount": 0,
    "fxRate": 0,
    "valueDate": "2019-08-24",
    "expiresAt": "2019-08-24T14:15:22.123Z",
    "createdAt": "2019-08-24T14:15:22.123Z"
}
Modified at 2026-06-05 07:31:32
Previous
Create beneficiary
Next
Confirm quote and create payment
Built with